## golang-github-oklog-run 1.1.0

=== debian/changelog ===
golang-github-oklog-run (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0

 -- Dawid Dziurla <dawidd0811@gmail.com>  Fri, 10 Jan 2020 23:49:12 +0100

golang-github-oklog-run (1.0.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.1
  * Added myself to Uploaders

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 02 Jan 2020 11:13:03 +1100

golang-github-oklog-run (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #928201)

 -- Dawid Dziurla <dawidd0811@gmail.com>  Mon, 29 Apr 2019 21:13:45 +0200
